@echo off
chcp 1251 > nul

setlocal enabledelayedexpansion

set "key=HKU\.Default\Control Panel\International"
for /f "tokens=3" %%I in (
    'reg query "%key%" /v LocaleName'
) do set "loc=%%I"

for %%i in (sk pl kk ka fr uk ru) do (
    if /i "%loc:~0,2%" equ "%%i" (
        goto :break
    )
)
set "loc=en"

:break

if %loc:~0,2%==ru (set "loc=uk-UA")

set "searchRegex=connectionString=.*data source=.*MedVisorDatabase.sdf"
set "configFile=C:\Users\Public\Documents\Andersen\MedVisor\medvisor.config"

set "MedVisorDatabase=a"

findstr /r /c:"%searchRegex%" "%configFile%" >report_size.txt
if %errorlevel% equ 0 (
    for /f "delims=" %%A in ('findstr "data source=" "report_size.txt"') do (
        set "line=%%A"
        set line=!line:~62,80!
        for /f "tokens=1 delims==;" %%B in ("!line!") do (
            set "MedVisorDatabase=%%B"
        )
    )
)

if not exist "!MedVisorDatabase!" (
    echo File "!MedVisorDatabase!" not found!
    exit /b 1
)

set "wmic_path=!MedVisorDatabase:\=\\!"
for /f "skip=1" %%A in ('wmic datafile where name^="%wmic_path%" get FileSize') do (
    set "fileSize=%%A"
    set "fileSize=!fileSize:~0,-3!"
    goto :break
)
:break
set /a fileSizeMB=(fileSize) / (1024)
set /a fileSizeProc=(100*fileSizeMB)/4091

if %loc:~0,2%==uk (echo i   !MedVisorDatabase!: %fileSizeMB% MB  %fileSizeProc% %%% i 
echo i   !MedVisorDatabase!: %fileSizeMB% MB  %fileSizeProc% %%% i i >> report.txt
) else (echo Size Database !MedVisorDatabase!: %fileSizeMB% MB 
  echo Size Database !MedVisorDatabase!: %fileSizeMB% MB %fileSizeProc% %%% Proc of Max Size>> report.txt
)
echo.>> report.txt