@echo off
setlocal enableextensions enabledelayedexpansion

chcp 1251 > nul

for /f "tokens=2 delims==" %%i in ('wmic os get localdatetime /value') do set datetime=%%i
set Year=%datetime:~0,4%

::    
set "configFile=C:\Users\Public\Documents\Andersen\MedVisor\medvisor.config"

::   ,    
set "searchRegex=connectionString=.*data source=.*MedVisorDatabase.sdf"

set SQLServer=.\SQLEXPRESS
set "MedVisorDatabase=1"
set dataSource=" "  
set "DatabaseBackup=C:\Users\Public\Documents\Andersen\MedVisor\Database\Medvisor-%Year%.bak"
set "MedVisorDatabasePath=none"

echo.
echo         -   .
echo.
echo  Ѳ  Ѳ ,            

if exist "C:\Program Files\Microsoft SQL Server\110\Tools\Binn\osql.exe" set ProgrammPath="C:\Program Files\Microsoft SQL Server\110\Tools\Binn\sqlcmd.exe"
if exist "C:\Program Files\Microsoft SQL Server\150\Tools\Binn\osql.exe" set ProgrammPath="C:\Program Files\Microsoft SQL Server\150\Tools\Binn\sqlcmd.exe"
if exist "C:\Program Files\Microsoft SQL Server\160\Tools\Binn\osql.exe" set ProgrammPath="C:\Program Files\Microsoft SQL Server\Client SDK\ODBC\170\Tools\Binn\sqlcmd.exe"

if not exist "%configFile%" (
    echo  "%configFile%"  !
    pause
    exit /b 1
)

echo.>report.txt

findstr /r /c:"%searchRegex%" "%configFile%" >config.txt
if %errorlevel% equ 0 (
    for /f "delims=" %%A in ('findstr "data source=" "config.txt"') do (
        set "line=%%A"
        set line=!line:~62,80!
        for /f "tokens=1 delims==;" %%B in ("!line!") do (
            set "MedVisorDatabase=%%B"
        )
    )
    for %%A in ("!MedVisorDatabase!") do (
      set "MedVisorDatabasePath=%%~dpA"
    )
    set "DatabaseBackup=!MedVisorDatabasePath:~0,-1!\Medvisor-%Year%.sdf"

    echo        !DatabaseBackup!.
    echo        Medvisor      
    echo !DatabaseBackup!
    call "Size of Database SDF.bat"
    echo.
    pause

    echo.>> report.txt
    Echo Database: !MedVisorDatabase!>> report.txt
    echo.>> report.txt
    
    if exist !DatabaseBackup! (echo.
        echo   %DatabaseBackup%  .
        echo       .
        pause
        exit /b 1
    )
    echo      !MedVisorDatabase!...
    copy /y !MedVisorDatabase! !DatabaseBackup!
    if exist !MedVisorDatabase! (echo            ...
        SqlCeCmd40.exe -d "Data Source=!MedVisorDatabase!; Max Database Size = 4091" -i ".\List of photos of patients.sdf" >> report.txt
        echo   ...
        SqlCeCmd40.exe -d "Data Source=!MedVisorDatabase!; Max Database Size = 4091" -i ".\Delete ALL Photos patients.sdf" >> report.txt
        echo   ...
        SqlCeCmd40.exe -d "Data Source=!MedVisorDatabase!; Max Database Size = 4091" -e compact >>report.txt
        call "Size of Database SDF.bat"
    ) else (echo.
        echo       .
        echo   .
    )
) else (
    echo         Medvisor-%Year%.
    echo        Medvisor     Medvisor-%Year%.
    echo.
    pause

    if exist !DatabaseBackup! (echo.
        echo   %DatabaseBackup%  
        echo       
        pause
        exit /b 1
    )
    echo      Medvisor-%Year%...
    %ProgrammPath% -S %SQLServer% -U sa -P 1qaz2WSX -i ".\Create Backup Base Medvisor-YYYY.sql" -f 65001 >> report.txt
    if exist %DatabaseBackup% (echo            ...
        %ProgrammPath% -S %SQLServer% -U sa -P 1qaz2WSX -i ".\List of photos of patients.sql" -f 65001 >> report.txt
        echo   ...
        %ProgrammPath% -S %SQLServer% -U sa -P 1qaz2WSX -i ".\Delete ALL Photos patients.sql" -f 65001 >> report.txt
        echo    .     %DatabaseBackup%. 
        echo        Medvisor     Medvisor-%Year%
    ) else (echo.
        echo       
        echo   
    )
)
echo   i report.txt
echo.
pause



